require 'specs.init'
require 'GridController'
require 'ProgramController'
require 'ProgramInputController'
require 'PortController'

describe["when a program is given a goal system"] = function()
    
    it["should be in the NAVIGATING_SYSTEM state"] = function()
        expect( program:getStateName() ).should_be( "NAVIGATING_SYSTEM_PATH" )
    end
    
    it["should have an approach port order queued"] = function()
        local order = program:popFirstInOrderQueue()
        expect( order.orderType ).should_be( port )
    end
end